IPTV Simple Client does not start with kodi
#1
Hello

i have installed on my android tv box (CX S806 S812) with his latest firmware and i have installed kodi v14.1
but i cant activate iptv simple client

here is the log file kodi.log
http://pastebin.com/nQHGjUnm


can you help me ?

thanks
Reply
#2
looks like its 15.0-ALPHA2 Git:2015-03-21-ada3a4b-dirty. i too get this with latest sources.
15-alpha-1 works fine.
Reply
#3
In the next Kodi nightly pvr.iptvsimple should works again.
Reply
#4
Why iptvsimple no longer works in kodi 15 for linux?
Reply
#5
tried nightly, still fails

Code:
14:34:37 T:18446744072516533128  NOTICE: Starting Kodi (15.0-ALPHA2 Git:2015-03-25-1fb19a3-dirty). Platform: Android ARM 32-bit
14:34:37 T:18446744072516533128  NOTICE: Using Debug Kodi x32 build
14:34:37 T:18446744072516533128  NOTICE: Kodi compiled Mar 25 2015 by GCC 4.8.0 for Android ARM 32-bit API level 17 (API level 17)
....
14:34:38 T:18446744072524915408   DEBUG: int PVR::CPVRClients::RegisterClient(ADDON::AddonPtr) - registering add-on 'PVR IPTV Simple Client'
14:34:38 T:18446744072524915408   DEBUG: PVR - ADDON_STATUS PVR::CPVRClient::Create(int) - creating PVR add-on instance 'PVR IPTV Simple Client'
14:34:38 T:18446744072524915408   DEBUG: ADDON: Dll Initializing - PVR IPTV Simple Client
14:34:38 T:18446744072524915408   ERROR: ADDON: Could not locate libpvr.iptvsimple.dll
14:34:38 T:18446744072524915408 WARNING: bool PVR::CPVRClients::UpdateAndInitialiseClients(bool) - failed to create add-on PVR IPTV Simple Client, status = 6
14:34:38 T:18446744072524915408 WARNING: bool PVR::CPVRClients::UpdateAndInitialiseClients(bool) - failed to load the dll for add-on PVR IPTV Simple Client, disabling it
Reply
#6
looks like addon.xml needs a small change

Code:
<extension
    point="xbmc.pvrclient"
    library_linux="pvr.iptvsimple.so"
    library_osx="pvr.iptvsimple.dylib"
    library_freebsd="pvr.iptvsimple.so"
    library_windx="pvr.iptvsimple.dll"
    library_android="libpvr.iptvsimple.dll" />

i guess for android it should libpvr.iptvsimple.so
Reply
#7
The fix was merged in master. Please try 15-Alpha2 when it will be released.
Reply
#8
(2015-03-30, 21:21)afedchin Wrote: The fix was merged in master. Please try 15-Alpha2 when it will be released.

Kodi 15.0-ALPHA2 Git: 32c1f53 (Compiled: Apr 1 2015)
Elementary OS 0.3 Freya (64bit), built on Ubuntu 14.04
Still not working.
Reply
#9
"Still not working" is not informative. Provide Debug Log please
Reply
#10
Sorry @afedchin, here is

http://pastebin.com/pUnpQfZy

Thanks!
Reply
#11
Quote:ERROR: PVR - Add-on 'PVR IPTV Simple Client' is using an incompatible API version. XBMC minimum API version = '1.9.6', add-on API version '1.9.5'
Seems like you use an old version of the add on. Did you update the add on from ppa?
Reply
#12
The latest version on PPA is 1.10.2 API 1.95
Reply
#13
correct, the latest version doesn't build: https://launchpadlibrarian.net/202017927...ING.txt.gz
Reply
#14
It's old error I already fixed it https://github.com/kodi-pvr/pvr.iptvsimp...a.cpp#L389

Edit: Seems like you are build an old sources here is PR whith fix https://github.com/kodi-pvr/pvr.iptvsimple/pull/7
Reply
#15
strange, I thought I've built the latest version. Did it again and it built fine.
Reply



Logout Mark Read Team Forum Stats Members Help
IPTV Simple Client does not start with kodi0
This forum uses Lukasz Tkacz MyBB addons.